Update role mapping

Auth

Updates an existing role mapping by name. Currently unavailable in self-hosted ECE.

Path parameters

organization_id string required

Identifier for the Organization

role_name string required

Role name

Request body

The updated role mapping

mapping object required
enabled boolean required

Whether or not the role mapping is enabled

name string required

The name of the role mapping

rule object required
role_assignments object required

Roles assigned to users, API keys or organization invitations. Currently unavailable in self-hosted ECE.

Responses

The updated role mapping

application/json

Response Type: object